#pragma once
#include "board.h"
#include "move.h"
#include "player.h"

class Human : public Player
{
public:
   Human(Color color) : Player(color) {}

   std::string getName() const override { return "Mensch"; }
   Move nextMove(const Board&) override;
};
